<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.6.0rc - Last modified 7/7/2007
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');

if (!$flags['admin']) {
	report_err('You do not have the credentials to access the template designer.');
}


function strip_all_quotes ($in) {
	$in = stripslashes ($in);
	$in = str_replace ('"', '', $in);
	$in = str_replace ('\'', '', $in);
	return $in;
}

function validate_font($in, $alt = 'sans-serif') {
	// Clean up font
	$in = trim (stripslashes ($in));

	if (strstr ($in, ',')) {
		// A comma, so someone is trying to use CSS.
		// If CSS is invalid, that's the designer's problem!
		return ($in);
	} else {
		// quote font and add a valid alternate (CSS valid)
		if (strstr ($in, '"') || strstr ($in, '\'')) {
			$in = strip_all_quotes($in);
		}
		$in = "\"{$in}\", {$alt}";
	}
	return ($in);
}


// Input
$local_filename = w_gpc('filename');
if (!empty ($local_filename)) {
	// Filenames cannot have quotes
	$local_filename = strip_all_quotes($local_filename);

	// ...or spaces
	$local_filename = str_replace (' ', '_', $local_filename);

	// ...or, other things
	if ($bad = badChars($local_filename, 'file')) {
		report_err('File name contains illegal characters: '.make_list($bad, ', '));
	}
} else {
	report_err('No template name specified.');
}


// Base template verification
$base = w_gpc('base');
if (!empty ($base)) {
	$base = str_replace (array ('/', '\\', ':'), array ('', '', ''), $base);
	$base = 'templates/'.$base.'.php';

	// $edittemplate is parsed in the template file, and redirects
	if (!file_exists ($base)) {
		header ('Content-type: text/plain');
		exit ('Base template inaccessable.');
	}
}


// Write template file
if (isset ($_POST['Save']) && !empty ($local_filename)) {

	// Clean up font
	$main_font = validate_font($_POST['fontFace']);
	$main_font = addslashes ($main_font);

	// Handle scrollbars
	$bars = '';
	if (!empty ($_POST['scrollArrow']))
		$bars .= 'scrollbar-arrow-color: \$scrollArrow; ';
	if (!empty ($_POST['scrollBase']))
		$bars .= 'scrollbar-base-color: \$scrollBase; ';
	if (!empty ($_POST['scrollFace']))
		$bars .= 'scrollbar-face-color: \$scrollFace; ';
	if (!empty ($_POST['scrollHighlight']))
		$bars .= 'scrollbar-highlight-color: \$scrollHighlight; ';
	if (!empty ($_POST['scrollShadow']))
		$bars .= 'scrollbar-shadow-color: \$scrollShadow; ';
	if (!empty ($_POST['scroll3D']))
		$bars .= 'scrollbar-3d-light-color: \$scroll3D; ';
	$bars = trim ($bars);
	if (!empty ($bars))
		$bars = ' '.$bars;

	// Ugh
	$fix_vars = array ('bgColor', 'bgImage', 'fontSize', 'textColor', 'link', 'aLink', 'vLink', 'dStamp', 'mBackgroundColor', 'mBorderColor', 'mBorderStyle', 'hTextColor', 'hStripColor', 'hWidth', 'hCellPadding', 'hBorderColor', 'hBorderStyle', 'hBorderSize', 'hFontSize', 'cWidth', 'cStripColor', 'cPostbgColor', 'cPostColor', 'cCellPadding', 'cBorderColor', 'cBorderStyle', 'cBorderSize', 'cFontSize', 'tInputHeight', 'tInputFontSize', 'tInputFontColor', 'tInputBackgroundColor', 'sButtonHeight', 'sButtonFontSize', 'sButtonFontColor', 'sButtonBackgroundColor', 'sButtonBorderStyle', 'sButtonBorderSize', 'sButtonBorderColor', 'scrollArrow', 'scrollBase', 'scrollFace', 'scrollHighlight', 'scrollShadow', 'scroll3D');

	$tf = array();
	foreach ($fix_vars as $post_fix) {
		$tf[$post_fix] = addslashes ($_POST[$post_fix]);
	}

	$tnotes = stripslashes ($_POST['tnotes']);


	// Compile
	$templatedata = <<<END_O_F
<?php
	// Basic template for OekakiPoteto 5.x and Wax Poteto 5.x

if (\$edittemplate == 'edit') {
	header ('Location: tedit.php?filename='.\$filename);
	exit;
}

\$tnotes = <<<EOF
$tnotes
EOF;

\$teditmode="0";
\$filename="{$local_filename}";
\$bgColor="{$tf['bgColor']}";
\$bgImage="{$tf['bgImage']}";
\$fontFace="{$main_font}";
\$fontSize="{$tf['fontSize']}";
\$textColor="{$tf['textColor']}";
\$link="{$tf['link']}";
\$aLink="{$tf['aLink']}";
\$vLink="{$tf['vLink']}";
\$dStamp="{$tf['dStamp']}";
\$mBackgroundColor="{$tf['mBackgroundColor']}";
\$mBorderColor="{$tf['mBorderColor']}";
\$mBorderStyle="{$tf['mBorderStyle']}";
\$hTextColor="{$tf['hTextColor']}";
\$hStripColor="{$tf['hStripColor']}";
\$hWidth="{$tf['hWidth']}";
\$hCellPadding="{$tf['hCellPadding']}";
\$hBorderColor="{$tf['hBorderColor']}";
\$hBorderStyle="{$tf['hBorderStyle']}";
\$hBorderSize="{$tf['hBorderSize']}";
\$hFontSize="{$tf['hFontSize']}";
\$cWidth="{$tf['cWidth']}";
\$cStripColor="{$tf['cStripColor']}";
\$cPostbgColor="{$tf['cPostbgColor']}";
\$cPostColor="{$tf['cPostColor']}";
\$cCellPadding="{$tf['cCellPadding']}";
\$cBorderColor="{$tf['cBorderColor']}";
\$cBorderStyle="{$tf['cBorderStyle']}";
\$cBorderSize="{$tf['cBorderSize']}";
\$cFontSize="{$tf['cFontSize']}";
\$tInputHeight="{$tf['tInputHeight']}";
\$tInputFontSize="{$tf['tInputFontSize']}";
\$tInputFontColor="{$tf['tInputFontColor']}";
\$tInputBackgroundColor="{$tf['tInputBackgroundColor']}";
\$sButtonHeight="{$tf['sButtonHeight']}";
\$sButtonFontSize="{$tf['sButtonFontSize']}";
\$sButtonFontColor="{$tf['sButtonFontColor']}";
\$sButtonBackgroundColor="{$tf['sButtonBackgroundColor']}";
\$sButtonBorderStyle="{$tf['sButtonBorderStyle']}";
\$sButtonBorderSize="{$tf['sButtonBorderSize']}";
\$sButtonBorderColor="{$tf['sButtonBorderColor']}";
\$scrollArrow="{$tf['scrollArrow']}";
\$scrollBase="{$tf['scrollBase']}";
\$scrollFace="{$tf['scrollFace']}";
\$scrollHighlight="{$tf['scrollHighlight']}";
\$scrollShadow="{$tf['scrollShadow']}";
\$scroll3D="{$tf['scroll3D']}";

echo <<<EOF
<style type="text/css">
	<!--
	a:link {color: \$link; text-decoration: none;}
	a:visited {color: \$vLink; text-decoration: none;}
	a:hover {color: \$link; text-decoration: underline;}
	a:active {color: \$aLink; text-decoration: none;}

	body {
		font-family: \$fontFace;{$bars}
	}
	.header {
		background-color: \$hStripColor; border-color: \$hBorderColor; border-style: \$hBorderStyle; border-width: \$hBorderSize; font-size: {\$hFontSize}px; color: \$hTextColor;
	}
	.menubar {
		background-color: \$mBackgroundColor; border-color: \$mBorderColor; font-size: 11px; border-style: \$mBorderStyle; border-top-width: 0px; border-right-width: 0px; border-bottom-width: 1px; border-left-width: 0px;
	}
	.submenu {
		font-size: 11px;
	}
	.txtinput {
		height: {\$tInputHeight}px; font-size: {\$tInputFontSize}px; background-color: \$tInputBackgroundColor; color: \$tInputFontColor;
	}
	.multiline {
		font-size: {\$tInputFontSize}px; background-color: \$tInputBackgroundColor; color: \$tInputFontColor;
	}
	.infotable {
		font-size: {\$hFontSize}px; color: \$hTextColor;
	}
	.commenttitle {
		background-color: \$cStripColor; border-color: \$cBorderColor; border-style: \$cBorderStyle; border-width: \$cBorderSize; font-size: {\$cFontSize}px;
	}
	.commentpost {
		background-color: \$cPostbgColor; border-color: \$cBorderColor; border-left-width: \$cBorderSize; border-right-width: \$cBorderSize; border-bottom-width: \$cBorderSize; border-top-width: 0px; border-style: \$cBorderStyle; font-size: {\$cFontSize}px; color: \$cPostColor;
	}
	.submit {
		height: {\$sButtonHeight}px; font-size: {\$sButtonFontSize}px; border-style: \$sButtonBorderStyle; border-width: {\$sButtonBorderSize}px; border-color: \$sButtonBorderColor; background: \$sButtonBackgroundColor; color: \$sButtonFontColor;
	}
	.footertable {
		background-color: \$mBackgroundColor; border-color: \$mBorderColor; font-size: 11px; border-style: \$mBorderStyle; border-top-width: 1px; border-right-width: 0px; border-bottom-width: 1px; border-left-width: 0px;
	}
	-->
</style>

EOF;
?>
END_O_F;
//<?
	$fp = @fopen ('templates/'.$local_filename.'.php', 'w');
	if ($fp) {
		fwrite ($fp, $templatedata);
		fclose ($fp);
	}
}



?>
<html>
<head>
	<title><?=$cfg['op_title'];?></title>

	<meta http-equiv="Content-Type" content="text/html; charset=<?=$charset?>">

<?
// $base is a direct path, not a filename
if (!empty ($base)) {
	include ($base);
} else {
	include ('templates/'.$local_filename.'.php');
}
?>

	<script language="JavaScript" type="text/javascript" src="poteto.js">
	</script>
</head>

<body bgcolor="<?=$bgColor?>" text="<?=$textColor?>" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" background="templates/<?=$bgImage?>" link="<?=$link?>" vlink="<?=$vLink?>" alink="<?=$aLink?>">

<form name="form1" method="post" action="tedit.php">
	<div style="width: 76%; margin-left: 12%;" align="center">
		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td valign="top" class="infotable">
			<a href="tdesign.php"><?=$langop_templateb_tempsel?></a>
			| <a href="#preview"><?=$langop_templateb_curprev?></a>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<b><a name="top"></a><?=$langop_templatec_title?></b>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="0" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templatec_filen?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_templatec_filen2?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<input name="filename" type="text" class="txtinput" value="<?=$local_filename?>" size="40" /> .php
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templatec_notes?> (<a href="#" onclick="openWindow('niftyusage.php', 500, 300); return false"><?=$langop_common_niftytoo?></a>)
				<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<em><?=$langop_templatec_author?></em>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<textarea name="tnotes" cols="40" rows="5" class="multiline"><?=w_html_chars($tnotes);?></textarea>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>

		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td class="header">
			<b><?=$langop_install_general?></b>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td class="header">
				<strong><?=$langop_word_background?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_bgcolor?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="bgColor" type="text" value="<?=w_html_chars($bgColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_optimage?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_templateb_optimate2?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="bgImage" type="text" value="<?=w_html_chars($bgImage);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_word_text?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_word_font?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="fontFace" type="text" value="<?=w_html_chars($fontFace);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_fsize?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="fontSize" type="text" value="<?=w_html_chars($fontSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_fcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="textColor" type="text" value="<?=w_html_chars($textColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_word_links?></strong>
			</td>
			</tr>

			<tr>
			<td class="infotable">
				<?=$langop_templateb_lcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="link" type="text" value="<?=w_html_chars($link);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="infotable">
				<?=$langop_templateb_alcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="aLink" type="text" value="<?=w_html_chars($aLink);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="infotable">
				<?=$langop_templateb_vlcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
				&nbsp;
				<input name="vLink" type="text" value="<?=w_html_chars($vLink);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_install_miscsettings?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templatec_datestamp?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
				&nbsp;
				<input name="dStamp" type="text" value="<?=w_html_chars($dStamp);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong><?=$langop_templateb_navibar?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_bgcolor?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
				&nbsp;
				<input name="mBackgroundColor" type="text" value="<?=w_html_chars($mBackgroundColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_bcolor?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
				&nbsp;
				<input name="mBorderColor" type="text" value="<?=w_html_chars($mBorderColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_mborder?> 
				<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<em><?=$langop_templateb_mborder2?></em>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="mBorderStyle" type="text" value="<?=w_html_chars($mBorderStyle);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				&nbsp;
			</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong><?=$langop_templatec_headert?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_hfontcol?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hTextColor" type="text" value="<?=w_html_chars($hTextColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_hstripcol?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hStripColor" type="text" value="<?=w_html_chars($hStripColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_hwidth?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hWidth" type="text" value="<?=w_html_chars($hWidth);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_hcellpad?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hCellPadding" type="text" value="<?=w_html_chars($hCellPadding);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_hbcol?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hBorderColor" type="text" value="<?=w_html_chars($hBorderColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_hbstyle?> 
				<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<em><?=$langop_templateb_mborder2?></em>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hBorderStyle" type="text" value="<?=w_html_chars($hBorderStyle);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_hbsize?> (<?=$langop_templateb_inpix?>)
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hBorderSize" type="text" value="<?=w_html_chars($hBorderSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_hfsize?> (<?=$langop_templateb_inpix?>)
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="hFontSize" type="text" value="<?=w_html_chars($hFontSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong><?=$langop_templatec_tsettings?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td class="header">
				<strong><?=$langop_install_general?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templatec_cellpad?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cCellPadding" type="text" value="<?=w_html_chars($cCellPadding);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cBorderColor" type="text" value="<?=w_html_chars($cBorderColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bordersty?> 
				<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<em><?=$langop_templateb_mborder2?></em>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cBorderStyle" type="text" value="<?=w_html_chars($cBorderStyle);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bordersiz?> (<?=$langop_templateb_inpix?>)
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cBorderSize" type="text" value="<?=w_html_chars($cBorderSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_fsize?> (<?=$langop_templateb_inpix?>)
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cFontSize" type="text" value="<?=w_html_chars($cFontSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templatec_twidth?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cWidth" type="text" value="<?=w_html_chars($cWidth);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_word_header?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_commstrbg?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cStripColor" type="text" value="<?=w_html_chars($cStripColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td class="header">
				<strong><?=$langop_templateb_commarea?></strong>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_commpbgc?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cPostbgColor" type="text" value="<?=w_html_chars($cPostbgColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_commpftcol?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="cPostColor" type="text" value="<?=w_html_chars($cPostColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong><?=$langop_templateb_combinp?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_boxhei?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="tInputHeight" type="text" value="<?=w_html_chars($tInputHeight);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_fsize?> (in pixels)
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="tInputFontSize" type="text" value="<?=w_html_chars($tInputFontSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_fcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="tInputFontColor" type="text" value="<?=w_html_chars($tInputFontColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bgcolor?>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="tInputBackgroundColor" type="text" value="<?=w_html_chars($tInputBackgroundColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong><?=$langop_templatea_submitb?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_btnhei?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="sButtonHeight" type="text" value="<?=w_html_chars($sButtonHeight);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_fsize?> (<?=$langop_templateb_inpix?>)
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="sButtonFontSize" type="text" value="<?=w_html_chars($sButtonFontSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_fcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="sButtonFontColor" type="text" value="<?=w_html_chars($sButtonFontColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bgcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="sButtonBackgroundColor" type="text" value="<?=w_html_chars($sButtonBackgroundColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bordersty?> 
				<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<em><?=$langop_templateb_mborder2?></em>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="sButtonBorderStyle" type="text" value="<?=w_html_chars($sButtonBorderStyle);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bordersiz?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="sButtonBorderSize" type="text" value="<?=w_html_chars($sButtonBorderSize);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_bcolor?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="sButtonBorderColor" type="text" value="<?=w_html_chars($sButtonBorderColor);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<strong><?=$langop_templateb_browscroll?></strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_arrowcol?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="scrollArrow" type="text" value="<?=w_html_chars($scrollArrow);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_templateb_basecol?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="scrollBase" type="text" value="<?=w_html_chars($scrollBase);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_facecol?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="scrollFace" type="text" value="<?=w_html_chars($scrollFace);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_hicol?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="scrollHighlight" type="text" value="<?=w_html_chars($scrollHighlight);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_shadcol?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="scrollShadow" type="text" value="<?=w_html_chars($scrollShadow);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<?=$langop_templateb_3dlight?> 
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="scroll3D" type="text" value="<?=w_html_chars($scroll3D);?>" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="Save" type="submit" value="Save" class="submit" />
				</font>
			</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

		<tr>
		<td valign="top" class="header">
			<a name="preview"></a>
			<strong>
				[<a href="#top"><?=$langop_word_top?></a>] <?=$langop_templateb_tempsettpre?> 
			</strong>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<br />
			<table width="100%" border="0" cellspacing="0" cellpadding="2" class="menubar">
			<tr>
			<td width="83%">
				(<?=$langop_templateb_navibar?>) <a href="#"><?=$langop_word_view?></a>
			</td>
			<td width="17%">
				<?=$langop_common_loggedin?> <strong>Guest</strong>
			</td>
			</tr>
			</table>

			<br />
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="submenu">
			<tr>
			<td>
				(<?=$langop_word_submenu?>) <a href="#"><?=$langop_word_view?></a>
			</td>
			</tr>
			</table>
			<br />

			<table width="<?=$hWidth?>" border="0" cellspacing="0" cellpadding="3" align="center" class="infotable">
			<tr>
			<td colspan="2" class="header">
				(<?=$langop_templatec_headert?>) [<b><a href="#">101</a></b>] [ <?=$langop_word_retouch?> ]
			</td>
			</tr>

			<tr>
			<td valign="top" width="5%">
				<div align="center">
					<img src="<?=$cfg['porn_img'];?>" />
					<br />
					<font size="-1">
						<?=$langop_word_picture?> 
						<br />
						<br />
					</font>
				</div>
			</td>
			<td width="95%" valign="top">
				<table width="<?=$cWidth?>" border="0" cellspacing="0" cellpadding="<?=$cCellPadding?>">
				<tr>
				<td class="commenttitle">
					<b><?=$langop_word_username?></a>@ <font color="<?=$dStamp?>"><?=$langop_word_date?></b> (<?=$langop_templatec_commtitle?>)</font>
				</td>
				</tr>

				<tr>
				<td class="commentpost">
					(<?=$langop_templatec_commpostt?>)
				</td>
				</tr>
				</table>

			</td>
			</tr>
			</table>
			<br />

			<table width="75%" border="0" cellspacing="0" cellpadding="3" align="center">
			<tr>
			<td>&nbsp;</td>
			<td width="76%">
				<select name="usrname2" class="multiline">
					<option value="test">testvalue</option>
					<option value="test1">test2</option>
				</select>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			<td class="infotable">
				(.infotable)
			</td>
			</tr>

			<tr>
			<td colspan="2">&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>
		</table>
	</div>
</form>
<br />

<? include ('footer.php'); ?>